{ pkgs, ... }:

{
  home.file.".zsh/fastfetch.jsonc".source = ./fastfetch/config.jsonc;

  programs.zsh = {
    enable = true;
    oh-my-zsh = {
      enable = true;
      theme = "agnoster";
    };

    initContent = ''
      # Use kitty's ssh helper if running inside kitty
      [ "$TERM" = "xterm-kitty" ] && alias ssh="kitty +kitten ssh"
    '';
  };
}
